play.libs.mail

## Class AbstractMailSystemFactory

- java.lang.Object
- - play.libs.mail.AbstractMailSystemFactory

    public abstract class AbstractMailSystemFactory
    extends java.lang.Object

### Field Summary

Fields
`static AbstractMailSystemFactory` `DEFAULT`

### Constructor Summary

Constructors
Constructor and Description
`AbstractMailSystemFactory()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract MailSystem` `currentMailSystem()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT

    public static final AbstractMailSystemFactory DEFAULT

### Constructor Detail

#### AbstractMailSystemFactory

    public AbstractMailSystemFactory()

### Method Detail

#### currentMailSystem

    public abstract MailSystem currentMailSystem()